Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_SchemaObject

    java.lang.Object

      |

      +--oracle.ifs.server.S_LibraryObject

            |

            +--oracle.ifs.server.S_TieLibraryObject

                  |

                  +--oracle.ifs.server.S_SchemaObject

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SchemaObjectInterface, Traceable

Direct Known Subclasses:
  S_TieSchemaObject

public class S_SchemaObject
extends S_TieLibraryObject
implements SchemaObjectInterface

The S_SchemaObject class is the server side implementation of the iFS SCHEMAOBJECT class

Method Summary
`protected void` | `extendedPreInsert(OperationState opState, S_LibraryObjectDefinition sdef)` Performs pre-insert actions.
`boolean` | `hasNameAttribute()` Override of hasNameAttribute(), to always return true for SchemaObjects

Methods inherited from class oracle.ifs.server.S_LibraryObject
`deriveDefinition, equals, extendedPreFree, extendedPreUpdate, free, getAttribute, getAttributeByUpperCaseName, getClassId, getClassObject, getId, getSession, handleEvent, isTraced, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Method Detail

### hasNameAttribute

    public boolean hasNameAttribute()
                             throws IfsException

  Override of hasNameAttribute(), to always return true for SchemaObjects
  Overrides:
    `hasNameAttribute` in class `S_LibraryObject`
  Returns:
    true (as SchemaObjects have a NAME attribute).
  Throws:
    `IfsException` - if operation fails.

### extendedPreInsert

    protected void extendedPreInsert(OperationState opState,
                                     S_LibraryObjectDefinition sdef)
                              throws IfsException

  Performs pre-insert actions.
  Overrides:
    `extendedPreInsert` in class `S_LibraryObject`
  Parameters:
    `opState` - current operation state
    `def` - the definition for the insert operation
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD